import React from 'react';

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

var CDN_URL = 'https://hatscripts.github.io/circle-flags/flags/';
var FILE_SUFFIX = 'svg';
var DEFAULT_COUNTRY_CODE = 'xx';
var DEFAULT_HEIGHT = 100;

var getSvgProps = function getSvgProps(countryCode, otherProps) {
  return _extends({}, otherProps, {
    title: otherProps.title || countryCode,
    height: otherProps.height || DEFAULT_HEIGHT,
    src: "" + CDN_URL + countryCode + "." + FILE_SUFFIX
  });
};

var CircleFlag = function CircleFlag(_ref) {
  var countryCode = _ref.countryCode,
      otherProps = _objectWithoutPropertiesLoose(_ref, ["countryCode"]);

  return /*#__PURE__*/React.createElement("img", getSvgProps((countryCode || DEFAULT_COUNTRY_CODE).toLowerCase(), otherProps));
};

export { CircleFlag };
//# sourceMappingURL=index.modern.js.map
